*****************************************************************
***Projekt Ersatzraten in der Gesetzlichen Rentenversicherung****
*****************************************************************
clear
clear matrix
clear mata
set more off
set maxvar  30000
capture log close
log using "C:\Users\kluth\Ersatzraten in der Gesetzlichen Rentenversicherung\Do File\Ersatzraten", replace

*2010er Datensatz
use "C:\Users\kluth\Daten FDZ-GRV\VVL 2010\SUF_VVL2010 (Stata)\Daten\vvl2010_fix.dta", clear

*2007er Datensatz ist fr die hier bentigten Variablen identisch definiert, deshalt gleiches Prozedere:
*use "S:\people\Klaus\Neu_Nov_Sebastian\VVL 2007\SUF_VVL2007 (Stata)\Daten\vvl2007_fix.dta", clear


*Biografie EP bezogen auf sozialversicherungspflichtig erwerbsttig
merge 1:1 case using "C:\Users\kluth\Daten FDZ-GRV\VVL 2010\SUF_VVL2010 (Stata)\Daten\Verlaufsmerkmale\megpt.dta"
drop _merge

/*Biografie sozialer Erwerbssituation
merge 1:1 case using "S:\people\Klaus\Neu_Nov_Sebastian\VVL 2010\SUF_VVL2010 (Stata)\Daten\Verlaufsmerkmale\ses.dta"
drop _merge
*/

*Biografie EP bezogen auf sozialversicherungspflichtig erwerbsttig ohne Anlage 13
merge 1:1 case using "C:\Users\kluth\Daten FDZ-GRV\VVL 2010\SUF_VVL2010 (Stata)\Daten\Verlaufsmerkmale\megptd.dta"
drop _merge


*Biografie EP bezogen auf sozialversicherungspflichtig erwerbsttig
merge 1:1 case using "C:\Users\kluth\Daten FDZ-GRV\VVL 2010\SUF_VVL2010 (Stata)\Daten\Verlaufsmerkmale\gmegpt.dta"
drop _merge

*Biografie Erwerbsttigkeit
merge 1:1 case using "C:\Users\kluth\Daten FDZ-GRV\VVL 2010\SUF_VVL2010 (Stata)\Daten\Verlaufsmerkmale\erwerb.dta"
drop _merge

*Merge die historischen Durchschnittsentgelte, jedem Individum wird das Entgelt fr das Jahr in dem er/sie 55 wurde zugemerged
	*In welchem Jahr wird die Person 55 Jahre alt?
	gen jahr=gbja+55 		//gbja=birthyear
merge m:1 jahr using "C:\Users\kluth\Klaus Hrtel\Neu_Nov_Sebastian\VVL 2010\durchschnittsek.dta" 
drop if _merge==2
drop _merge

*Merge die historischen Rentenwerte fr Ost und West
merge m:1 jahr using "C:\Users\kluth\Klaus Hrtel\Neu_Nov_Sebastian\VVL 2010\rentenwerte.dta"  
drop if _merge==2
drop _merge


*********************************************
*************** Vorarbeit *******************
*********************************************
*Sample Restriction
	*Nur Altersrentner werden behalten:
	gen drop=1
	replace drop=0 if leat==16
	replace drop=0 if leat==17
	replace drop=0 if leat==18
	replace drop=0 if leat==19
	replace drop=0 if leat==62
	replace drop=0 if leat==63

	keep if drop==0
	drop drop

	*Teilrentenbezge werden nicht bercksichtigt
	keep if tlrt==0
	drop if gbja+ztptrtbej<2009


*Variablen Definitionen
	gen foreign=1 if sa==2
	replace foreign=0 if sa==0

	gen jahr_rente=gbja+ztptrtbej

	gen female=1 if geh==2
	replace female=0 if geh==1
	
	gen childless=0 if female==1
	replace childless=1 if gbkij1==0 & female==1
	
*Dummies fr verschiedene Arten der Altersrente  regelaltersrente rente_arbeitslos rente_frauen rente_schwerbehindert rente_langj

	*Regelaltersrente 35 SGB VI
	gen regelaltersrente=0
	replace regelaltersrente=1 if leat==16
	
	*Altersrente wg. Arbeitslosigkeit oder nach ALtersteilzeit 237 SGB VI
	gen rente_arbeitslos=0
	replace rente_arbeitslos=1 if leat==17
	
	*Altersrente fr Frauen  237a SGB VI
	gen rente_frauen=0
	replace rente_frauen=1 if leat==18
	
	*Altersrente fr Frauen  37 SGB VI
	gen rente_schwerbehindert=0
	replace rente_schwerbehindert=1 if leat==62

	*Altersrente fr langjhrig versicherte  36 SGB VI
	gen rente_langj=0
	replace rente_langj=1 if leat==63

	*Anzahl der Kinder
	gen no_children=0
	replace no_children=1 if  gbkij1!=0
	replace no_children=2 if  gbkij2!=0
	replace no_children=3 if  gbkij3!=0
	replace no_children=4 if  gbkij4!=0
	replace no_children=5 if  gbkij5!=0
	replace no_children=6 if  gbkij6!=0
	replace no_children=7 if  gbkij7!=0
	replace no_children=8 if  gbkij8!=0
	replace no_children=9 if  gbkij9!=0
	replace no_children=10 if gbkij10!=0
	
	
*Zwillingsdummy
	gen twins=0 if female==1
	*Kind 1 und Kind 2 Zwillinge
	replace twins=1 if gbkij1==gbkij2 & gbkim1==gbkim2 & gbkij2!=0 &female==1
	*Kind 2 und Kind 3 Zwillinge
	replace twins=1 if gbkij2==gbkij3 & gbkim2==gbkim3 & gbkij3!=0 &female==1
	*Kind 3 und Kind 4 Zwillinge
	replace twins=1 if gbkij3==gbkij4 & gbkim3==gbkim4 & gbkij4!=0 &female==1
	*Kind 4 und Kind 5 Zwillinge
	replace twins=1 if gbkij4==gbkij5 & gbkim4==gbkim5 & gbkij5!=0 &female==1
	*Kind 5 und Kind 6 Zwillinge
	replace twins=1 if gbkij5==gbkij6 & gbkim5==gbkim6 & gbkij6!=0 &female==1
	*Kind 6 und Kind 7 Zwillinge
	replace twins=1 if gbkij6==gbkij7 & gbkim6==gbkim7 & gbkij7!=0 &female==1
	*Kind 7 und Kind 8 Zwillinge
	replace twins=1 if gbkij7==gbkij8 & gbkim7==gbkim8 & gbkij8!=0 &female==1
	*Kind 8 und Kind 9 Zwillinge
	replace twins=1 if gbkij8==gbkij9 & gbkim8==gbkim9 & gbkij9!=0 &female==1
	*Kind 9 und Kind 10 Zwillinge
	replace twins=1 if gbkij9==gbkij10 & gbkim9==gbkim10 & gbkij10!=0 &female==1
	
	
	
	*Ostdummies
	*a.) ber den Wohnort bei Rentenbezug
	gen ost=0
	replace ost=1 if whort==11 & anteilost>0
	replace ost=1 if whort==12
	replace ost=1 if whort==13
	replace ost=1 if whort==14
	replace ost=1 if whort==15
	replace ost=1 if whort==16 
	*b.) ber die Tatsache ob Rentenansprche in Ostdeutschland erworben wurden
	gen ost2=0
	replace ost2=1 if anteilost>0

	gen birthyear=gbja
		
	*Parental age at xth kids birth
		*parental age at 1. birth 
		gen age_birth1=gbkij1-birthyear if gbkij1!=0 & female==1
		*parental age at 2. birth 
		gen age_birth2=gbkij2-birthyear if gbkij2!=0 & female==1			
		*parental age at 3. birth 
		gen age_birth3=gbkij3-birthyear if gbkij3!=0 & female==1			
		*parental age at 4. birth 
		gen age_birth4=gbkij4-birthyear if gbkij4!=0 & female==1			
		*parental age at 5. birth 
		gen age_birth5=gbkij5-birthyear if gbkij5!=0 & female==1			
		*parental age at 6. birth 
		gen age_birth6=gbkij6-birthyear if gbkij6!=0 & female==1
	

	gen mean_jv1_3= (jv1+jv2+jv3)/3  if jv1>4800 & jv2>4800 & jv3>4800
	*letztes Bruttogehalt nur fr Leute ber 4800
	gen brutto_2009 = jv1 if jv1>4800
	
	*Familienstand
	gen verheiratet=1 if fmsd==2
	replace verheiratet=0 if fmsd==1
	
	*ALter Rentenzugang
	gen alter_zugang=ztptrtbej
	

	
	*Dummy letztes Jahr versicherungspflichtig beschftigt
	gen pflichtig=0
	replace pflichtig=1 if vsbhja1==1 | vsbhja1==2
	*Dummy ob versicherungspflichtig beschftigt in einem der letzten drei Jahre
	gen pflichtig2=0
	replace pflichtig2=1 if vsbhja1==1 | vsbhja1==2
	replace pflichtig2=1 if vsbhja2==1 | vsbhja2==2
	replace pflichtig2=1 if vsbhja3==1 | vsbhja3==2
	
	gen jahr_zugang= alter_zugang+birthyear
	
***


		gen ep_kinder=dvki90 
		gen ep_mindest=miegzq90 
		gen ep_geschenke=ep_kinder+ep_mindest
		replace  ep_geschenke =0 if ep_geschenke==.

******Bruttorenten******

*(1) Tatschliche Bruttorente
		*Bruttorente ber Summe persnlicher Entegeltpunkte
		gen bruttorente1=(((psegpt90*(anteilost/100))*24.13)+((psegpt90*((100-anteilost)/100))*27.20))*12 // Problem psegpt90 top coded at 70!!
		

		**Bruttorente Berechnung ber sum_gmegpt
		gen sum_gmegpt=0
		forvalues x =1/624 {
			replace sum_gmegpt=sum_gmegpt + gmegpt_`x' if gmegpt_`x' !=.
		}
		gen sum_gmegpt_per=sum_gmegpt *(1-0.003*moab) * (1+0.005*mozu)
		gen bruttorente2=(((sum_gmegpt_per*(anteilost/100))*24.13)+((sum_gmegpt_per*((100-anteilost)/100))*27.20))*12
		
		*Die entgltige Bruttorente als Maximum der beiden Berechnungen 
		gen bruttorente=max(bruttorente1, bruttorente2)
		gen bruttorente_monat=bruttorente/12
*(2) Bruttorente OHNE "Geschenke" (ep_kinder & ep_mindest)

		*Bruttorente ber Summe persnlicher Entegeltpunkte
		gen bruttorente3=((((psegpt90-ep_geschenke)*(anteilost/100))*24.13)+(((psegpt90-ep_geschenke)*((100-anteilost)/100))*27.20))*12 // Problem psegpt90 top coded at 70!!
	
		*Bruttorente Berechnung ber sum_gmegpt
		gen bruttorente4=((((sum_gmegpt_per-ep_geschenke)*(anteilost/100))*24.13)+(((sum_gmegpt_per-ep_geschenke)*((100-anteilost)/100))*27.20))*12
	
		*Die entgltige Bruttorente als Maximum der beiden Berechnungen 
		gen bruttorente_real=max(bruttorente3, bruttorente4)
		replace bruttorente_real=0 if bruttorente_real<0
	
	
	
***Problem, dass jv1-jv3 bei 55.000 abgeschnitten werden

*Korrektur ber Entgeltpunkte

	*JV1 Vergleich mit EP in 2009	
		gen ep_2009=.
		replace ep_2009=megptd_601+megptd_602+megptd_603+megptd_604+megptd_605+megptd_606+megptd_607+megptd_608+megptd_609+megptd_610+megptd_611+megptd_612 if birthyear==1945
		replace ep_2009=megptd_589+megptd_590+megptd_591+megptd_592+megptd_593+megptd_594+megptd_595+megptd_596+megptd_597+megptd_598+megptd_599+megptd_600 if birthyear==1946
		replace ep_2009=megptd_577+megptd_578+megptd_579+megptd_580+megptd_581+megptd_582+megptd_583+megptd_584+megptd_585+megptd_586+megptd_587+megptd_588 if birthyear==1947			
		replace ep_2009=megptd_565+megptd_566+megptd_567+megptd_568+megptd_569+megptd_570+megptd_571+megptd_572+megptd_573+megptd_574+megptd_575+megptd_576 if birthyear==1948
		replace ep_2009=megptd_553+megptd_554+megptd_555+megptd_556+megptd_557+megptd_558+megptd_559+megptd_560+megptd_561+megptd_562+megptd_563+megptd_564 if birthyear==1949
		replace ep_2009=megptd_541+megptd_542+megptd_543+megptd_544+megptd_545+megptd_546+megptd_547+megptd_548+megptd_549+megptd_550+megptd_551+megptd_552 if birthyear==1950
		
		gen brutto_2009_neu=ep_2009*30506
		
		replace jv1=brutto_2009_neu if jv1==55000 & brutto_2009_neu>54999
		
	*JV2 Vergleich mit EP in 2008	
		gen ep_2008=.
		replace ep_2008=megptd_589+megptd_590+megptd_591+megptd_592+megptd_593+megptd_594+megptd_595+megptd_596+megptd_597+megptd_598+megptd_599+megptd_600 if birthyear==1945
		replace ep_2008=megptd_577+megptd_578+megptd_579+megptd_580+megptd_581+megptd_582+megptd_583+megptd_584+megptd_585+megptd_586+megptd_587+megptd_588 if birthyear==1946			
		replace ep_2008=megptd_565+megptd_566+megptd_567+megptd_568+megptd_569+megptd_570+megptd_571+megptd_572+megptd_573+megptd_574+megptd_575+megptd_576 if birthyear==1947
		replace ep_2008=megptd_553+megptd_554+megptd_555+megptd_556+megptd_557+megptd_558+megptd_559+megptd_560+megptd_561+megptd_562+megptd_563+megptd_564 if birthyear==1948
		replace ep_2008=megptd_541+megptd_542+megptd_543+megptd_544+megptd_545+megptd_546+megptd_547+megptd_548+megptd_549+megptd_550+megptd_551+megptd_552 if birthyear==1949
		replace ep_2008=megptd_529+megptd_530+megptd_531+megptd_532+megptd_533+megptd_534+megptd_535+megptd_536+megptd_537+megptd_538+megptd_539+megptd_540 if birthyear==1950
		
		gen brutto_2008_neu=ep_2008*30625 
		
		replace jv2=brutto_2008_neu if jv2==55000 & brutto_2008_neu>54999	
		
		
	*JV3 Vergleich mit EP in 2007	
		gen ep_2007=.
		replace ep_2007=megptd_577+megptd_578+megptd_579+megptd_580+megptd_581+megptd_582+megptd_583+megptd_584+megptd_585+megptd_586+megptd_587+megptd_588 if birthyear==1945			
		replace ep_2007=megptd_565+megptd_566+megptd_567+megptd_568+megptd_569+megptd_570+megptd_571+megptd_572+megptd_573+megptd_574+megptd_575+megptd_576 if birthyear==1946
		replace ep_2007=megptd_553+megptd_554+megptd_555+megptd_556+megptd_557+megptd_558+megptd_559+megptd_560+megptd_561+megptd_562+megptd_563+megptd_564 if birthyear==1947
		replace ep_2007=megptd_541+megptd_542+megptd_543+megptd_544+megptd_545+megptd_546+megptd_547+megptd_548+megptd_549+megptd_550+megptd_551+megptd_552 if birthyear==1948
		replace ep_2007=megptd_529+megptd_530+megptd_531+megptd_532+megptd_533+megptd_534+megptd_535+megptd_536+megptd_537+megptd_538+megptd_539+megptd_540 if birthyear==1949
		replace ep_2007=megptd_517+megptd_518+megptd_519+megptd_520+megptd_521+megptd_522+megptd_523+megptd_524+megptd_525+megptd_526+megptd_527+megptd_528 if birthyear==1950
		
		gen brutto_2007_neu=ep_2007* 29951 
		
		replace jv3=brutto_2007_neu if jv3==55000 & brutto_2007_neu>54999	
		
**********************************	
		
*gen ep_2009=jv1/30506 
*replace ep_2009=jv1/30506*1.1712 if ost==1



******************************************************
**Kapitel 3: Empirische Ermittlung von Ersatzraten****
******************************************************

******************************************************
**a.) Definition der zu berechnenden Ersatzraten******
******************************************************
gen jv=jv1 if jv1>4800
	**(1.) Bruttoersatzraten
		*(1.1.)
		***Replacement Rate zum Jahr vorm Leistungsfall			// Bruttorente und Verdienst mssen auf das gleiche Jahr vereinheitlicht werden (z.B. ber EP)
		gen RR1=bruttorente/(jv1) if jv1 >4800
		sum RR1 ,d
		hist RR1 if RR1>0 & RR1<5
		***Replacement Rate zum vorletzten Jahr:
		gen RR2=bruttorente/(jv2) if jv2 >4800
		sum RR2 if RR2>0 & RR2<5,d
		hist RR2 if RR2>0 & RR2<5
		***Replacement Rate zum vorvorletzten Jahr:
		gen RR3=bruttorente/(jv3) if jv3 >4800
		sum RR3 if RR3>0 & RR3<5,d
		hist RR3 if RR3>0 & RR3<5
		***Replacement Rate zum Durchschnitt der letzten 3 Jahre:
		gen RR4=bruttorente/((jv1+jv2+jv3)/3) if jv1>4800 & jv2>4800 & jv3>4800
		sum RR4  ,d
		hist RR4 if RR4>0 & RR4<5
		***Replacement Rate: Bruttorente/maximaler Lohn der letzten drei jahre
		gen RR5=bruttorente/max(jv1, jv2, jv3) if jv1>4800 | jv2>4800 | jv3>4800
		

		*(1.2.)
		***Replacement Rate mit 55 (Berechnung in Werten des Jahres in dem die Person 55 wurde)

		gen anz_punkte_55=megptd_493+megptd_494+megptd_495+megptd_496+megptd_497+megptd_498+megptd_499+megptd_500+megptd_501+megptd_502+megptd_503+megptd_504 //megptd gibt Ep wieder wenn Umrechnungsfaktor Anlage 10 SGB VI nicht angewendet wrde
		
		*Bruttolohn mit 55 anhand des Durchschnittsentgelts fr 2009 30.506 
		gen bruttolohn_55=.
		replace bruttolohn_55=anz_punkte_55*30506  if gbja==1945 & anz_punkte_55>0.1406
		replace bruttolohn_55=anz_punkte_55*30506  if gbja==1946 & anz_punkte_55>0.1382
		replace bruttolohn_55=anz_punkte_55*30506  if gbja==1947 & anz_punkte_55>0.1363
		replace bruttolohn_55=anz_punkte_55*30506  if gbja==1948 & anz_punkte_55>0.1581
		replace bruttolohn_55=anz_punkte_55*30506  if gbja==1949 & anz_punkte_55>0.1652
		replace bruttolohn_55=anz_punkte_55*30506  if gbja==1950 & anz_punkte_55>0.1644
		* Fr die Jahre 2000 bis 2002 errechnet sich eine Grenze von 3900 (12*325), fr das Jahr 2003 liegt die Grenze bei 4575 (3*325+9*400) und fr die Jahre 2004 und 2005 liegt sie bei 4800 (12*400). 
		* Diese Grenzen wurden ber die Durchschnittsentgelte in EP umgerechnet
		
		gen RR_55=bruttorente/bruttolohn_55

		
		
	**(2.) Nettorsatzraten
	*Annahme Besteuerung nach den Regeln fr 2010
	
		*(2.1.) Berechnung der Nettoeinkommens
		
				*Berechnung des sozialversicherungspflichtigen Entgelts	
				*Beitrge in Gleitzone  163 Abs. 10 SGB VI fiktives Arbeitsentgelt auf dessen Grundlage Sozialversicherungsbeitrge gezahlt werden: F * 400 + (2 - F) * (Arbeitsentgelt - 400) F=0.7585 in 2010
					gen brutto_2010=jv1 //Lohnsteigerung von 2.9% in 2010 gegenber Vorjahr
					gen fiktives_AE=12*(0.7585*400+(2-0.7585)*((brutto_2010/12)-400)) if jv1>4800 & brutto_2010<9600
					replace fiktives_AE=brutto_2010 if brutto_2010>=9600 // Personen fr die keine Gleitzonenregel gilt
					replace fiktives_AE=0 if (jv1)<=4800		//auf 400 Euro Jobs muss der Arbeitgeber keine Beitrge zahlen, die Lohnsteigerung ist nicht mit drin da zu erwarten ist dass jemand der genau 400 Euro verdient hat auf diesem Satz aus steurlchen Grnden verharrt
					
				*Rentenversicherungsbeitrag 9.95% bis 66.000 Euro West bzw 55800 Euro Ost, kein Problem da jv1max=55000
					gen beitrag_GRV =fiktives_AE*0.095
						
				*Krankenversicherungsbeitrag 7.9% (7.6% ermigt) Beitragsbemessungsgrenze 45000 Euro
					gen beitrag_GKV = fiktives_AE*0.079
					replace beitrag_GKV = 45000*0.079 if fiktives_AE>45000 
					
				*Arbeitslosenversicherung 1.4& Beitagsbemessungsgrenze 66.000 Euro West bzw 55800 Euro Ost
					gen beitrag_ALV = fiktives_AE*0.014
				
					
				*Pflegeversicherungsbeitrag 0.975% Beitrag plus 0.25% fr Kinderlose Beitragsbemessungsgrenze 45000 Euro, Sonderregel fr Sachsen nicht modelliert
					gen beitrag_pflege=fiktives_AE*0.00975
					replace beitrag_pflege=fiktives_AE*0.01225 if gbkij1==0 //gbkij1 Geburtsmonat 1. Kind, Problem das Kind nur einem Elternteil zugerechnet wird-->98% der Mnner "ohne Kind"
					replace beitrag_pflege=45000*0.00975 if fiktives_AE>45000 
					replace beitrag_pflege=45000*0.01225 if fiktives_AE>45000 & gbkij1==0
					
				*Besteuerung der Bruttoeinkommen (angepasst auf 2010) nach 32a EStG 
				*Problem!! jv1 ab 55000 --> ber EP rausfinden wen grer 55000
				
						*Bercksichtigung der Werbekostenpauschale von 920 Euro
						gen werbekosten=920
						
						*"Sonstige Vorsorgeaufwendungen"
							* 10 EStG unter "sonstige Vorsorgeaufwendungen" Beitrag GKV+GPV+ALV abzusiehen wenn Hchstbetrag nicht berschritten, wenn Hchstbetrag berschritten nur noch Beitrag GKV+GPV absetzbar.
							* 10 Abs. 4 EStG: Hchbetrag 1.900 Euro fr alle die nur anteilig in GKV einzahlen (z.B. Angestellte) und 2.800Euro fr alle die Beitrag zu 100% alleine zahlen(z.B. Selbststndige)
						
							*alle drei abziehbar
							gen sonstige_vorsorge = beitrag_GKV+beitrag_pflege+beitrag_ALV if beitrag_GKV+beitrag_pflege+beitrag_ALV<1900 & vsssja1==0 //vsssja1:= selbststndig im Jahr vor Rente
							replace sonstige_vorsorge = beitrag_GKV+beitrag_pflege+beitrag_ALV if beitrag_GKV+beitrag_pflege+beitrag_ALV<2800 & vsssja1!=0
							*nur GKV+GPV
							replace sonstige_vorsorge = beitrag_GKV+beitrag_pflege if beitrag_GKV+beitrag_pflege>1900 & vsssja1==0
							replace sonstige_vorsorge = beitrag_GKV+beitrag_pflege if beitrag_GKV+beitrag_pflege>2800 & vsssja1!=0
							*ALV anteilig abziehbar
							replace sonstige_vorsorge = 1900 if beitrag_GKV+beitrag_pflege<1900 & beitrag_GKV+beitrag_pflege+beitrag_ALV>1900 &  vsssja1==0
							replace sonstige_vorsorge = 2800 if beitrag_GKV+beitrag_pflege<2800 & beitrag_GKV+beitrag_pflege+beitrag_ALV>2800 &  vsssja1!=0
						
						*Altersvorsorgeaufwendungen in 2010
						gen altersvorsorgeaufwendungen=(2*beitrag_GRV*0.7)-beitrag_GRV
					
					*zu versteuerndes Einkommen
					gen bruttotax_2010=brutto_2010-werbekosten-sonstige_vorsorge-altersvorsorgeaufwendungen
					replace bruttotax_2010=0 if brutto_2010<0
					*Einkommenssteuer auf den Bruttolohn
					gen tax1=.
					replace tax1=0 																				if bruttotax_2010<8005.00 
					replace tax1=(912.17*(bruttotax_2010-8005)/10000+1400)*(bruttotax_2010-8005)/10000			if bruttotax_2010>=8005.00 & bruttotax_2010<13469 
					replace tax1=(228.74*(bruttotax_2010-13469)/10000+2397)*(bruttotax_2010-13469)/10000+1038	if bruttotax_2010>=13469 & bruttotax_2010<52881 
					replace tax1=0.42*bruttotax_2010-8172														if bruttotax_2010>=52881 & bruttotax_2010<250730  
					replace tax1=0.45*bruttotax_2010-15694														if bruttotax_2010>=250730				 

					
				*Nettoeinkommen pro Monat in 2010
					gen netto_2010=(brutto_2010-tax1-beitrag_GRV-beitrag_GKV-beitrag_ALV-beitrag_pflege)/12
					replace netto_2010=0 if netto_2010<0 // in 8 Fllen ist netto_2010 negativ
					*Nettoeinkommen fr alle die ber 400Euro Job 
					gen netto_400=netto_2010 if jv1>4800
					
					gen abgaben=tax1+beitrag_GRV+beitrag_GKV+beitrag_ALV+beitrag_pflege
	
		*(2.2.) Berechnung der Nettorente
		
				*Krankenversicherung
				gen beitrag_GKVR = bruttorente*0.079
				
				*Pflegeversicherung
				gen beitrag_pflegeR=bruttorente*0.0195
				replace beitrag_pflegeR=bruttorente*0.022 if gbkij1==0

				*Besteuerung der Renten ( 10 Abs. 1 Nr. 2 EStG) in 2010 mssen 60% nachgelagert besteuert werden
				*Werbekostenpauschalbetrag fr Rentner ( 9 a Nr. 3 EStG). 
				gen rente_steuerpflichtig=(bruttorente*0.6)-102-beitrag_GKVR-beitrag_pflegeR
				replace rente_steuerpflichtig=0 if rente_steuerpflichtig<0 //der Pauschbetrag kann die Rente hchstens auf 0 Euro reduzieren
				
					gen tax2=.
					replace tax2=0 																							if rente_steuerpflichtig<8005.00 
					replace tax2=(912.17*(rente_steuerpflichtig-8005)/10000+1400)*(rente_steuerpflichtig-8005)/10000		if rente_steuerpflichtig>=8005.00 & rente_steuerpflichtig<13469 
					replace tax2=(228.74*(rente_steuerpflichtig-13469)/10000+2397)*(rente_steuerpflichtig-13469)/10000+1038	if rente_steuerpflichtig>=13469 & rente_steuerpflichtig<52881 
					replace tax2=0.42*rente_steuerpflichtig-8172															if rente_steuerpflichtig>=52881 & rente_steuerpflichtig<250730  
					replace tax2=0.45*rente_steuerpflichtig-15694															if rente_steuerpflichtig>=250730	
				
				*Nettorente pro Monat in 2010
				gen nettoR_2010 =(bruttorente-tax2-beitrag_GKVR-beitrag_pflegeR)/12
				gen rentenzahlbetrag=nettoR_2010+tax2/12
				
			gen netto_2010_jahr=netto_2010*12
			twoway (lpolyci netto_2010_jahr brutto_2010) (lpolyci brutto_2010 brutto_2010) (lpolyci abgaben brutto_2010), ytitle("Brutto/Netto/Abgaben (Euro pro Jahr)") xtitle("Brutto (Euro pro Jahr)") /// 
			title("Verhltnis Brutto- zu Nettoeinkommen 2010") xlabel(#4) legend(lab(1 "95% confidence interval") lab(2 "Netto") lab(3 "Brutto") lab(4 "Abgaben") ) caption("Source: Own calculation based on VVL 2010.")
			*Alle	
			twoway (lpolyci netto_2010 nettoR_2010  ) , ytitle("Nettoeinkommen 2010") xtitle("Nettorente in 2010") title("Verhltnis letztes Nettoeinkommen zu Nettorente") ///
			xlabel(#2) legend(lab(1 "95% confidence interval")lab(2 "Nettoeinkommen 2010")) caption("Source: Own calculation based on VVL 2010.")	
			*Nur fr jv1>0	
			twoway (lpolyci netto_2010 nettoR_2010 if jv1>0) , ytitle("Nettoeinkommen 2010") xtitle("Nettorente in 2010") title("Verhltnis letztes Nettoeinkommen zu Nettorente") ///
			xlabel(#2) legend(lab(1 "95% confidence interval")lab(2 "Nettoeinkommen 2010")) caption("Source: Own calculation based on VVL 2010.")
			
		*(2.3.) Berechnung der Nettoersatzrate
		
			gen RR_netto=nettoR_2010/netto_2010 if jv1>4800 //Berechnung nur fr letztes Nettoeinkommen grer 400 Euro Job

			sum RR_netto if RR_netto<2  //evtl. sinnvoll eine Beschrnkung nach oben fr RR_netto einzufhren RR_netto<2
			sum nettoR_2010 netto_2010 if netto_2010>0
			sum netto_2010 if netto_2010>0

		
	**(3.) Individuelles Rentenniveau 
	 
		gen IRN=bruttorente/30506
		gen IRN_netto=12*nettoR_2010/19728.67

		
	**(4.) Ersatzrate ber den Lebenszyklus

		gen sum_pts=0 
		gen sum_monat=0 
		
		
		*Wie hoch ist der Anteil derer ohne EP in Monat X
		
		forvalues x =1/624 {
		
		replace megpt_`x'=. if megpt_`x'==0
		
		*Gesamt
			sum 	megpt_`x'	
			gen anteil_zero`x'=(24990-r(N))/24990
		*West Frauen
			sum 	megpt_`x'	if female==1 & ost ==0
			gen fw_anteil_zero`x'=(11119-r(N))/11119 if female==1 & ost ==0
			sum 	gmegpt_`x'	if female==1 & ost ==0
			gen gfw_anteil_zero`x'=(11119-r(N))/11119 if female==1 & ost ==0
		*West Mnner
			sum 	megpt_`x'	if female==0 & ost ==0
			gen mw_anteil_zero`x'=(8628-r(N))/8628 if female==0 & ost ==0
		*Ost Frauen
			sum 	megpt_`x'	if female==1 & ost ==1
			gen fo_anteil_zero`x'=(3062-r(N))/3062 if female==1 & ost ==1
			sum 	gmegpt_`x'	if female==1 & ost ==1
			gen gfo_anteil_zero`x'=(3062-r(N))/3062 if female==1 & ost ==1
		*Ost Mnner
			sum 	megpt_`x'	if female==0 & ost ==1
			gen mo_anteil_zero`x'=(2181-r(N))/2181 if female==0 & ost ==1
			

		}
		
		
		forvalues x =1/624 {
	
		replace sum_pts=sum_pts + megpt_`x' if megpt_`x' !=.
		replace sum_monat=sum_monat + 1 if megpt_`x' !=. //
		}
		*
		*gen Zeiten=az90+byvl90+bygm90 if bygm90!=999
		gen average_ep=(sum_pts/(sum_monat/12)) //durchschnittliche EP pro Jahr! az90:=Anrechnungszeiten insgesamt byvl90:=vollwertige Beitragszeiten bygm90:=Beitragsgeminderte Zeiten
		gen avg_lebensek=average_ep*30506  //Einkommen anhand durchschnittsep im Jahr 2010 multipliziert mit durchschnittsentgelt fr das Jahr 2009

				
		*(1.) LRR
		gen RR_life=bruttorente/avg_lebensek
		*(2.) LRR "ohne Geschenke"
		gen RR_life_real=bruttorente_real/avg_lebensek
			*-->
			gen diff_LRR=RR_life-RR_life_real
			
		*(3.) LRR "Netto" *Annahme Besteuerung nach den Regeln fr 2010
		
							
					
						*(2.1.) Berechnung der Lebenszyklusnettoeinkommens
								drop brutto_2010  beitrag_GRV beitrag_GKV beitrag_ALV beitrag_pflege werbekosten sonstige_vorsorge altersvorsorgeaufwendungen bruttotax_2010 tax1
								*Berechnung des sozialversicherungspflichtigen Entgelts	
								*Beitrge in Gleitzone  163 Abs. 10 SGB VI fiktives Arbeitsentgelt auf dessen Grundlage Sozialversicherungsbeitrge gezahlt werden: F * 400 + (2 - F) * (Arbeitsentgelt - 400) F=0.7585 in 2010
									gen brutto_2010=avg_lebensek //Lohnsteigerung von 2.9% in 2010 gegenber Vorjahr
									replace fiktives_AE=12*(0.7585*400+(2-0.7585)*((brutto_2010/12)-400)) if avg_lebensek>4800 & brutto_2010<9600
									replace fiktives_AE=brutto_2010 if brutto_2010>=9600 // Personen fr die keine Gleitzonenregel gilt
									replace fiktives_AE=0 if avg_lebensek<=4800		//auf 400 Euro Jobs muss der Arbeitgeber keine Beitrge zahlen, die Lohnsteigerung ist nicht mit drin da zu erwarten ist dass jemand der genau 400 Euro verdient hat auf diesem Satz aus steurlchen Grnden verharrt
									
								*Rentenversicherungsbeitrag 9.95% bis 66.000 Euro West bzw 55800 Euro Ost, kein Problem da jv1max=55000
									gen beitrag_GRV =fiktives_AE*0.095
										
								*Krankenversicherungsbeitrag 7.9% (7.6% ermigt) Beitragsbemessungsgrenze 45000 Euro
									gen beitrag_GKV = fiktives_AE*0.079
									replace beitrag_GKV = 45000*0.079 if fiktives_AE>45000 
									
								*Arbeitslosenversicherung 1.4& Beitagsbemessungsgrenze 66.000 Euro West bzw 55800 Euro Ost
									gen beitrag_ALV = fiktives_AE*0.014
								
									
								*Pflegeversicherungsbeitrag 0.975% Beitrag plus 0.25% fr Kinderlose Beitragsbemessungsgrenze 45000 Euro, Sonderregel fr Sachsen nicht modelliert
									gen beitrag_pflege=fiktives_AE*0.00975
									replace beitrag_pflege=fiktives_AE*0.01225 if gbkij1==0 //gbkij1 Geburtsmonat 1. Kind, Problem das Kind nur einem Elternteil zugerechnet wird-->98% der Mnner "ohne Kind"
									replace beitrag_pflege=45000*0.00975 if fiktives_AE>45000 
									replace beitrag_pflege=45000*0.01225 if fiktives_AE>45000 & gbkij1==0
									
								*Besteuerung der Bruttoeinkommen (angepasst auf 2010) nach 32a EStG 
								*Problem!! jv1 ab 55000 --> ber EP rausfinden wen grer 55000
								
										*Bercksichtigung der Werbekostenpauschale von 920 Euro
										gen werbekosten=920
										
										*"Sonstige Vorsorgeaufwendungen"
											* 10 EStG unter "sonstige Vorsorgeaufwendungen" Beitrag GKV+GPV+ALV abzusiehen wenn Hchstbetrag nicht berschritten, wenn Hchstbetrag berschritten nur noch Beitrag GKV+GPV absetzbar.
											* 10 Abs. 4 EStG: Hchbetrag 1.900 Euro fr alle die nur anteilig in GKV einzahlen (z.B. Angestellte) und 2.800Euro fr alle die Beitrag zu 100% alleine zahlen(z.B. Selbststndige)
										
											*alle drei abziehbar
											gen sonstige_vorsorge = beitrag_GKV+beitrag_pflege+beitrag_ALV if beitrag_GKV+beitrag_pflege+beitrag_ALV<1900 & vsssja1==0 //vsssja1:= selbststndig im Jahr vor Rente
											replace sonstige_vorsorge = beitrag_GKV+beitrag_pflege+beitrag_ALV if beitrag_GKV+beitrag_pflege+beitrag_ALV<2800 & vsssja1!=0
											*nur GKV+GPV
											replace sonstige_vorsorge = beitrag_GKV+beitrag_pflege if beitrag_GKV+beitrag_pflege>1900 & vsssja1==0
											replace sonstige_vorsorge = beitrag_GKV+beitrag_pflege if beitrag_GKV+beitrag_pflege>2800 & vsssja1!=0
											*ALV anteilig abziehbar
											replace sonstige_vorsorge = 1900 if beitrag_GKV+beitrag_pflege<1900 & beitrag_GKV+beitrag_pflege+beitrag_ALV>1900 &  vsssja1==0
											replace sonstige_vorsorge = 2800 if beitrag_GKV+beitrag_pflege<2800 & beitrag_GKV+beitrag_pflege+beitrag_ALV>2800 &  vsssja1!=0
										
										*Altersvorsorgeaufwendungen in 2010
										gen altersvorsorgeaufwendungen=(2*beitrag_GRV*0.7)-beitrag_GRV
									
									*zu versteuerndes Einkommen
									gen bruttotax_2010=brutto_2010-werbekosten-sonstige_vorsorge-altersvorsorgeaufwendungen
									replace bruttotax_2010=0 if brutto_2010<0
									*Einkommenssteuer auf den Bruttolohn
									gen tax1=.
									replace tax1=0 																				if bruttotax_2010<8005.00 
									replace tax1=(912.17*(bruttotax_2010-8005)/10000+1400)*(bruttotax_2010-8005)/10000			if bruttotax_2010>=8005.00 & bruttotax_2010<13469 
									replace tax1=(228.74*(bruttotax_2010-13469)/10000+2397)*(bruttotax_2010-13469)/10000+1038	if bruttotax_2010>=13469 & bruttotax_2010<52881 
									replace tax1=0.42*bruttotax_2010-8172														if bruttotax_2010>=52881 & bruttotax_2010<250730  
									replace tax1=0.45*bruttotax_2010-15694														if bruttotax_2010>=250730				 

									
								*Nettoeinkommen pro Monat in 2010
									gen avg_lebensek_netto=(brutto_2010-tax1-beitrag_GRV-beitrag_GKV-beitrag_ALV-beitrag_pflege)/12
									replace avg_lebensek_netto=0 if avg_lebensek_netto<0 
		
		
		gen RR_life_netto=nettoR_2010/avg_lebensek_netto
		
		sum RR_life if RR_life>0 & RR_life<5,d
		hist RR_life if RR_life>0 & RR_life<1			//Verteilung enger, weniger Extremwerte da Betrachtung ber ganzes Arbeitsleben
		scatter avg_lebensek bruttorente
		
		

		
		***Unterscheidung versicherungspflichtig  beschftigt im Jahr vor Leistungsfall Ja/Nein
		sum RR_life if vsbhja1==0
		sum RR_life if vsbhja1!=0
		
		
		gen RR_life2=RR_life/(sum_monat/12)*100
		
	***Generierung der zwei  Gruppen: "mit Abschlge" vs. "ohne Abschlge"
	
	
				*Abschlagsdummy
				 gen abschlag=1 if moab>0
				 replace abschlag=0 if moab==0
				 *Verheiratet
				 gen married=1 if fmsd==2
				 replace married=0 if fmsd==1

		


		*Regelaltersrentner mit und ohne 35 Jahre Wartezeit:
			gen gruppe=1 if leat==16 & rtztmo>419
			replace gruppe=2 if leat==16 & rtztmo<420
			
		*Altersrentner, die zum gesetzlichen Rentenalter in Rente gegangen sind
		*nach 36 SGB VI htte diese Gruppe theoretisch mit 63 in Renten gehen knnen (35 Jahre mssten dafr allerdings auch schon mit 63 ereicht worden sein); Wartezeit=rentenrechtliche Zeiten 51 Satz 3 SGB VI
			
			gen gruppe2=1 if moab==0 & rtztmo>419       //ohne Abschlge und 35 Jahre Wartezeit
			replace gruppe2=2 if moab>0 &  rtztmo>419	//mit Abschlge und 35 Jahre Wartezeit		
			replace gruppe2=3 if moab==0 &  rtztmo<420	//ohne Abschlge ohne 35 Jahre Wartezeit
			replace gruppe2=4 if moab>0 &  rtztmo<420	//mit Abschlge ohne 35 Jahre Wartezeit		
			
			

			
			label define groups 1 "RA mit 35 Jahren" 2 "Abschlge und 35 Jahre"  3 "RA keine 35 Jahre" 4 "Abschlge weniger 35" 
			label values gruppe2 groups


			
			
		gen children=1 if childless==0
		replace children=0 if childless==1
		gen beitragsjahre=sum_monat/12
		gen versicherungsjahre=rtztmo/12
		gen regelaltersrentner_keine35=0
		replace regelaltersrentner_keine35=1 if gruppe==2
		gen avg_lebensek_1000 = avg_lebensek/1000		
		
		gen regelaltersrentner_35=0
replace regelaltersrentner_35=1  if gruppe==1

******************************************************
**b.) Auswertung**************************************
******************************************************
sum RR1 RR5 RR_55 RR_netto if  RR1!=. & RR_55!=.
sum RR_life RR_life_real RR_life_netto
sum IRN IRN_netto



*Tabelle 1: Deskriptive Durchschnittswerte 
sum female ep_kinder ep_mindest abschlag married regelaltersrentner_35 regelaltersrentner_keine35 rente_arbeitslos rente_frauen rente_schwerbehindert rente_langj avg_lebensek_1000 beitragsjahre

***Verteilung***
*Bruttoersatzraten
twoway (histogram RR1 if RR1<1, fcolor(none) lcolor(blue) lwidth(thick)) (histogram RR5 if RR5<1 ,fcolor(none) lcolor(maroon)lwidth(thick))
twoway (kdensity RR1 if RR1<1.2, lcolor(blue)) (kdensity RR5 if RR5<1.2 , lcolor(red))  (kdensity RR_netto if RR_netto<1.2 , lcolor(midgreen)), xtitle("Hhe der Ersatzrate") ///
ytitle("Dichte")  legend(lab(1 "BRR1") lab(2 "BRR2") lab(3 "BRR3") lab(4 "NRR")) yscale(range(0 1.2))

*LRRs
twoway (kdensity RR_life if RR_life<1, lcolor(blue)) (kdensity RR_life_real if RR_life_real<1 , lcolor(red)) (kdensity RR_life_netto if RR_life_netto<1 , lcolor(midgreen)) , xtitle("Hhe der Ersatzrate") ///
ytitle("Dichte")  legend(lab(1 "LRR") lab(2 "LRR_q") lab(3 "NLRR") ) 
*IRNs
twoway (kdensity IRN , lcolor(blue) ) (kdensity IRN_netto  , lcolor(midgreen)) , xscale(range(0 1.2)) xtitle("Hhe der Ersatzrate") ///
ytitle("Dichte")  legend(lab(1 "IRN") lab(2 "NIRN")) 





**Test auf Normalverteilung
		**BRR
		foreach var in RR1 RR5 RR_55 RR_netto {
		sktest `var'
		swilk `var'
		sfrancia `var'
}
*

		**LRR
		foreach var in RR_life RR_life_real RR_life_netto {
		sktest `var'
		swilk `var'
		sfrancia `var'
}
*

		**IRN
		foreach var in IRN IRN_netto {
		sktest `var'
		swilk `var'
		sfrancia `var'
}
*




*Zusammenhang Bruttorente und LRR


**Alle Zusammenhang  Bruttorente - LRR
gen pension_class=.
gen pension_class_LRR=.
gen pension_class_LRR_real=.
gen pension_class_jahre=.

forvalues x= 0/22 {
replace pension_class=1+`x' if bruttorente>=0+`x'*1200 & bruttorente<1200+`x'*1200
summarize RR_life if  bruttorente>=0+`x'*1200 & bruttorente<1200+`x'*1200
replace pension_class_LRR=r(mean) if  bruttorente>=0+`x'*1200 & bruttorente<1200+`x'*1200

summarize beitragsjahre if  bruttorente>=0+`x'*1200 & bruttorente<1200+`x'*1200
replace pension_class_jahre=r(mean) if  bruttorente>=0+`x'*1200 & bruttorente<1200+`x'*1200

summarize RR_life_real if  bruttorente>=0+`x'*1200 & bruttorente<1200+`x'*1200
replace pension_class_LRR_real=r(mean) if  bruttorente>=0+`x'*1200 & bruttorente<1200+`x'*1200


}

*Abildung Bruttorente - LRR
 twoway  (scatter  pension_class_LRR pension_class , sort connect(l) lpattern(dash) lcolor(blue))  (scatter pension_class_LRR_real pension_class, sort connect(l) lpattern(dash) lcolor(red)) ///
 , xtitle("Bruttorentenklasse") ytitle("Hhe der Ersatzrate")  legend(lab(1 "LRR") lab(2 "LRR_q")  ) 

 *Abildung Bruttorente - Beitragsjahre
 twoway  (scatter  pension_class_jahre pension_class , sort connect(l) lpattern(dash) lcolor(blue))    , xtitle("Bruttorentenklasse") ytitle("Beitragsjahre")  legend(lab(1 "Beitragsjahre")   ) 
 
 
**Alle Zusammenhang  Lebenszykluseinkommen - LRR
gen pension_class_LRR_real2=.
gen pension_class_LRR2=.
gen pension_class2=.
gen pension_class_jahre2=.
*drop  pension_class2 pension_class_LRR2 pension_class_LRR_real2

forvalues x= 1/22 {
replace pension_class2=0+`x' if avg_lebensek>=0+`x'*2500 & avg_lebensek<2500+`x'*2500
summarize RR_life if avg_lebensek>=0+`x'*2500 & avg_lebensek<2500+`x'*2500 & ost==0
replace pension_class_LRR2=r(mean) if avg_lebensek>=0+`x'*2500 & avg_lebensek<2500+`x'*2500 & ost==0
summarize RR_life if avg_lebensek>=0+`x'*2500 & avg_lebensek<2500+`x'*2500 & ost==1
replace pension_class_LRR2=r(mean) if avg_lebensek>=0+`x'*2500 & avg_lebensek<2500+`x'*2500 & ost==1
summarize beitragsjahre if avg_lebensek>=0+`x'*2500 & avg_lebensek<2500+`x'*2500 & ost==0
replace pension_class_jahre2=r(mean) if avg_lebensek>=0+`x'*2500 & avg_lebensek<2500+`x'*2500 & ost==0
summarize beitragsjahre if avg_lebensek>=0+`x'*2500 & avg_lebensek<2500+`x'*2500 & ost==1
replace pension_class_jahre2=r(mean) if avg_lebensek>=0+`x'*2500 & avg_lebensek<2500+`x'*2500 & ost==1



summarize RR_life_real if avg_lebensek>=0+`x'*2500 & avg_lebensek<2500+`x'*2500 & ost==0
replace pension_class_LRR_real2=r(mean) if avg_lebensek>=0+`x'*2500 & avg_lebensek<2500+`x'*2500 & ost==0
summarize RR_life_real if avg_lebensek>=0+`x'*2500 & avg_lebensek<2500+`x'*2500 & ost==1
replace pension_class_LRR_real2=r(mean) if avg_lebensek>=0+`x'*2500 & avg_lebensek<2500+`x'*2500 & ost==1

}
*


*Abbildung Lebenszykluseinkommen
 twoway  (scatter  pension_class_LRR2 pension_class2 , sort connect(l) lpattern(dash) lcolor(blue))  (scatter pension_class_LRR_real2 pension_class2, sort connect(l) lpattern(dash) lcolor(red)) ///
 , by(ost) xtitle("Lebenszklus-Einkommensklasse") ytitle("Hhe der Ersatzrate")  legend(lab(1 "LRR") lab(2 "LRR_q")  ) 





*Abbildung Lebenszykluseinkommen West
 twoway  (scatter  pension_class_LRR2 pension_class2 if ost==0, sort connect(l) lpattern(dash) lcolor(blue))  (scatter pension_class_LRR_real2 pension_class2 if ost==0, sort connect(l) lpattern(dash) lcolor(red)) ///
 ,  xtitle("Lebenszklus-Einkommensklasse") ytitle("Hhe der Ersatzrate")  legend(lab(1 "LRR") lab(2 "LRR_q")  ) 



*Abbildung Lebenszykluseinkommen Ost
 twoway  (scatter  pension_class_LRR2 pension_class2 if ost==1 , sort connect(l) lpattern(dash) lcolor(blue))  (scatter pension_class_LRR_real2 pension_class2 if ost==1, sort connect(l) lpattern(dash) lcolor(red)) ///
 , xtitle("Lebenszklus-Einkommensklasse") ytitle("Hhe der Ersatzrate")  legend(lab(1 "LRR") lab(2 "LRR_q")  ) 




*Abbildung Lebenszykluseinkommen Beitragsjahre Ost/West
 twoway  (scatter  pension_class_jahre2 pension_class2 , sort connect(l) lpattern(dash) lcolor(blue)) , by(ost)






*** Deskriptive Ergebnisse: Frauen/Mnner; West/Ost
	* Gehalt:  		letztes Bruttogehlat ; Durchschnitt letzten Gehalt letzte 3 Jahre ; Gehalt mit 55; letztes Nettogehalt  (brutto_2009 mean_jv1_3 bruttolohn_55 netto_400)* nur fr die ber 400 Euro Jobs!!
	* Rente: 		Summe persnliche Entgeltpunkte ; Bruttorente ; Rentenzahlbetrag ; Nettorente 							(psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010)* fuer ALLE!!
	* Ersatzraten: 	RR 1 Jahr ;  RR 3 Jahre ; RR 55 ; RR Netto ; RR Life 													(RR1 RR4 RR_55 RR_netto RR_life)* nur fr die ber 400 Euro Jobs!!
	* Vergleich: 	RR 1 Jahr und RR 55 

	*Gesamt
		sum brutto_2009 mean_jv1_3 bruttolohn_55 netto_400 psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010 RR1 RR4 RR_55 RR_netto RR_life if  RR1!=. &  RR_55!=. & mean_jv1_3!=. 

	*Deutschland
		*Mnner
		sum brutto_2009 mean_jv1_3 bruttolohn_55 netto_400 psegpt90  rentenzahlbetrag nettoR_2010 RR1 RR4 RR_55 RR_netto RR_life if female==0 &  RR1!=. &  RR_55!=. & mean_jv1_3!=.
		sum RR_netto nettoR_2010 netto_2010 if female==0 &  RR1!=. &  RR_55!=. & mean_jv1_3!=.
		gen test=nettoR_2010/netto_2010 if female==0 &  RR1!=. &  RR_55!=. & mean_jv1_3!=.
		*Frauen
		sum brutto_2009 mean_jv1_3 bruttolohn_55 netto_400 psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010 RR1 RR4 RR_55 RR_netto RR_life if female==1 &  RR1!=. &  RR_55!=. & mean_jv1_3!=.
	

		*West
			*Mnner
			sum brutto_2009 mean_jv1_3 bruttolohn_55 netto_400 psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010 RR1 RR4 RR_55 RR_netto RR_life if female==0 & ost==0 &  RR1!=. &  RR_55!=. & mean_jv1_3!=.
		
			*Frauen
			sum brutto_2009 mean_jv1_3 bruttolohn_55 netto_400 psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010 RR1 RR4 RR_55 RR_netto RR_life if female==1 & ost==0 &  RR1!=. &  RR_55!=. & mean_jv1_3!=.

		*Ost
			*Mnner
			sum brutto_2009 mean_jv1_3 bruttolohn_55 netto_400 psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010 RR1 RR4 RR_55 RR_netto RR_life if female==0 & ost==1 &  RR1!=. &  RR_55!=. & mean_jv1_3!=.
	
			*Frauen
			sum brutto_2009 mean_jv1_3 bruttolohn_55 netto_400 psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010 RR1 RR4 RR_55 RR_netto RR_life if female==1 & ost==1 &  RR1!=. &  RR_55!=. & mean_jv1_3!=.




*** Deskriptive Ergebnisse: verheiratet unverheiratet 
	* Gehalt:  		letztes Bruttogehlat ; Durchschnitt letzten Gehalt letzte 3 Jahre ; Gehalt mit 55; letztes Nettogehalt  (brutto_2009 mean_jv1_3 bruttolohn_55 netto_400)* nur fr die ber 400 Euro Jobs!!
	* Rente: 		Summe persnliche Entgeltpunkte ; Bruttorente ; Rentenzahlbetrag ; Nettorente 							(psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010)* fuer ALLE!!
	* Ersatzraten: 	RR 1 Jahr ;  RR 3 Jahre ; RR 55 ; RR Netto ; RR Life 													(RR1 RR4 RR_55 RR_netto RR_life)* nur fr die ber 400 Euro Jobs!!
	* Vergleich: 	RR 1 Jahr und RR 55 
	
	*West
		*Mnner

		sum brutto_2009 mean_jv1_3 bruttolohn_55 netto_400 psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010 RR1 RR4 RR_55 RR_netto RR_life if ost==0   & female==0 & fmsd==1 & RR1!=. &  RR_55!=. & mean_jv1_3!=. 
		sum brutto_2009 mean_jv1_3 bruttolohn_55 netto_400 psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010 RR1 RR4 RR_55 RR_netto RR_life if ost==0   & female==0 & fmsd==2 & RR1!=. &  RR_55!=. & mean_jv1_3!=. 
		*T-Test
		foreach var of varlist brutto_2009 mean_jv1_3 bruttolohn_55 netto_400 psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010 RR1 RR4 RR_55 RR_netto RR_life {
		ttest `var' if ost==0   & female==0  & RR1!=. &  RR_55!=. & mean_jv1_3!=.  , by(fmsd) //LRR signifikant verschieden
}
		
		*Frauen

		sum brutto_2009 mean_jv1_3 bruttolohn_55 netto_400 psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010 RR1 RR4 RR_55 RR_netto RR_life if ost==0   & female==1 & fmsd==1 & RR1!=. &  RR_55!=. & mean_jv1_3!=. 
		sum brutto_2009 mean_jv1_3 bruttolohn_55 netto_400 psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010 RR1 RR4 RR_55 RR_netto RR_life if ost==0   & female==1 & fmsd==2 & RR1!=. &  RR_55!=. & mean_jv1_3!=. 
				*T-Test
		foreach var of varlist brutto_2009 mean_jv1_3 bruttolohn_55 netto_400 psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010 RR1 RR4 RR_55 RR_netto RR_life {
		ttest `var' if ost==0   & female==1  & RR1!=. &  RR_55!=. & mean_jv1_3!=.  , by(fmsd) //BRR3 mit 55 NRR und LRR signifikant verschieden
		}
	*	

		
	*Ost
		*Mnner

		sum brutto_2009 mean_jv1_3 bruttolohn_55 netto_400 psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010 RR1 RR4 RR_55 RR_netto RR_life if ost==1   & female==0 & fmsd==1 & RR1!=. &  RR_55!=. & mean_jv1_3!=. 
		sum brutto_2009 mean_jv1_3 bruttolohn_55 netto_400 psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010 RR1 RR4 RR_55 RR_netto RR_life if ost==1   & female==0 & fmsd==2 & RR1!=. &  RR_55!=. & mean_jv1_3!=. 
		*T-Test
		foreach var of varlist brutto_2009 mean_jv1_3 bruttolohn_55 netto_400 psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010 RR1 RR4 RR_55 RR_netto RR_life{
		ttest `var' if ost==1   & female==0  & RR1!=. &  RR_55!=. & mean_jv1_3!=.  , by(fmsd) //nichts auf 1% oder 5% Ebene verschieden 
}
		
		*Frauen

		sum brutto_2009 mean_jv1_3 bruttolohn_55 netto_400 psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010 RR1 RR4 RR_55 RR_netto RR_life if ost==1   & female==1 & fmsd==1 & RR1!=. &  RR_55!=. & mean_jv1_3!=. 
		sum brutto_2009 mean_jv1_3 bruttolohn_55 netto_400 psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010 RR1 RR4 RR_55 RR_netto RR_life if ost==1   & female==1 & fmsd==2 & RR1!=. &  RR_55!=. & mean_jv1_3!=. 
		*T-Test
		foreach var of varlist brutto_2009 mean_jv1_3 bruttolohn_55 netto_400 psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010 RR1 RR4 RR_55 RR_netto RR_life {
		ttest `var' if ost==1   & female==1  & RR1!=. &  RR_55!=. & mean_jv1_3!=.  , by(fmsd) //LRR signifikant verschieden 
}
	*	
	
	
*** Deskriptive Ergebnisse: mit/ohne Abschlge
	* Gehalt:  		letztes Bruttogehlat ; Durchschnitt letzten Gehalt letzte 3 Jahre ; Gehalt mit 55; letztes Nettogehalt  (brutto_2009 mean_jv1_3 bruttolohn_55 netto_400)* nur fr die ber 400 Euro Jobs!!
	* Rente: 		Summe persnliche Entgeltpunkte ; Bruttorente ; Rentenzahlbetrag ; Nettorente 							(psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010)* fuer ALLE!!
	* Ersatzraten: 	RR 1 Jahr ;  RR 3 Jahre ; RR 55 ; RR Netto ; RR Life 													(RR1 RR4 RR_55 RR_netto RR_life)* nur fr die ber 400 Euro Jobs!!
	* Vergleich: 	RR 1 Jahr und RR 55 

	*West
		*Mnner

		sum brutto_2009 mean_jv1_3 bruttolohn_55 netto_400 psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010 RR1 RR4 RR_55 RR_netto RR_life if ost==0   & female==0 & gruppe==1 & RR1!=. &  RR_55!=. & mean_jv1_3!=. 
		sum brutto_2009 mean_jv1_3 bruttolohn_55 netto_400 psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010 RR1 RR4 RR_55 RR_netto RR_life if ost==0   & female==0 & gruppe==2 & RR1!=. &  RR_55!=. & mean_jv1_3!=. 
		*T-Test
		foreach var of varlist brutto_2009 mean_jv1_3 bruttolohn_55 netto_400 psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010 RR1 RR4 RR_55 RR_netto RR_life {
		ttest `var' if ost==0   & female==0  & RR1!=. &  RR_55!=. & mean_jv1_3!=.  , by(gruppe) //
}
		
		*Frauen

		sum brutto_2009 mean_jv1_3 bruttolohn_55 netto_400 psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010 RR1 RR4 RR_55 RR_netto RR_life if ost==0   & female==1 & gruppe==1 & RR1!=. &  RR_55!=. & mean_jv1_3!=. 
		sum brutto_2009 mean_jv1_3 bruttolohn_55 netto_400 psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010 RR1 RR4 RR_55 RR_netto RR_life if ost==0   & female==1 & gruppe==2 & RR1!=. &  RR_55!=. & mean_jv1_3!=. 
				*T-Test
		foreach var of varlist brutto_2009 mean_jv1_3 bruttolohn_55 netto_400 psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010 RR1 RR4 RR_55 RR_netto RR_life {
		ttest `var' if ost==0   & female==1  & RR1!=. &  RR_55!=. & mean_jv1_3!=.  , by(gruppe) //
		}
	*	

		
	*Ost
		*Mnner

		sum brutto_2009 mean_jv1_3 bruttolohn_55 netto_400 psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010 RR1 RR4 RR_55 RR_netto RR_life if ost==1   & female==0 & gruppe==1 & RR1!=. &  RR_55!=. & mean_jv1_3!=. 
		sum brutto_2009 mean_jv1_3 bruttolohn_55 netto_400 psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010 RR1 RR4 RR_55 RR_netto RR_life if ost==1   & female==0 & gruppe==2 & RR1!=. &  RR_55!=. & mean_jv1_3!=. 
		*T-Test
		foreach var of varlist brutto_2009 mean_jv1_3 bruttolohn_55 netto_400 psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010 RR1 RR4 RR_55 RR_netto RR_life{
		ttest `var' if ost==1   & female==0  & RR1!=. &  RR_55!=. & mean_jv1_3!=.  , by(gruppe) //
}
		
		*Frauen

		sum brutto_2009 mean_jv1_3 bruttolohn_55 netto_400 psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010 RR1 RR4 RR_55 RR_netto RR_life if ost==1   & female==1 & gruppe==1 & RR1!=. &  RR_55!=. & mean_jv1_3!=. 
		sum brutto_2009 mean_jv1_3 bruttolohn_55 netto_400 psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010 RR1 RR4 RR_55 RR_netto RR_life if ost==1   & female==1 & gruppe==2 & RR1!=. &  RR_55!=. & mean_jv1_3!=. 
		*T-Test
		foreach var of varlist brutto_2009 mean_jv1_3 bruttolohn_55 netto_400 psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010 RR1 RR4 RR_55 RR_netto RR_life {
		ttest `var' if ost==1   & female==1  & RR1!=. &  RR_55!=. & mean_jv1_3!=.  , by(gruppe) //
}
	*	
	

*** Deskriptive Ergebnisse: Kinder JA/Nein
	* Gehalt:  		letztes Bruttogehlat ; Durchschnitt letzten Gehalt letzte 3 Jahre ; Gehalt mit 55; letztes Nettogehalt  (brutto_2009 mean_jv1_3 bruttolohn_55 netto_400)* nur fr die ber 400 Euro Jobs!!
	* Rente: 		Summe persnliche Entgeltpunkte ; Bruttorente ; Rentenzahlbetrag ; Nettorente 							(psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010)* fuer ALLE!!
	* Ersatzraten: 	RR 1 Jahr ;  RR 3 Jahre ; RR 55 ; RR Netto ; RR Life 													(RR1 RR4 RR_55 RR_netto RR_life)* nur fr die ber 400 Euro Jobs!!
	* Vergleich: 	RR 1 Jahr und RR 55 
	
	*West

		*Frauen

		sum brutto_2009 mean_jv1_3 bruttolohn_55 netto_400 psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010 RR1 RR4 RR_55 RR_netto RR_life if ost==0   & female==1 & childless==0 & RR1!=. &  RR_55!=. & mean_jv1_3!=. 
		sum brutto_2009 mean_jv1_3 bruttolohn_55 netto_400 psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010 RR1 RR4 RR_55 RR_netto RR_life if ost==0   & female==1 & childless==1 & RR1!=. &  RR_55!=. & mean_jv1_3!=. 
				*T-Test
		foreach var of varlist brutto_2009 mean_jv1_3 bruttolohn_55 netto_400 psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010 RR1 RR4 RR_55 RR_netto RR_life {
		ttest `var' if ost==0   & female==1  & RR1!=. &  RR_55!=. & mean_jv1_3!=.  , by(childless) //
		}
	*	
		
	*Ost

		*Frauen

		sum brutto_2009 mean_jv1_3 bruttolohn_55 netto_400 psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010 RR1 RR4 RR_55 RR_netto RR_life if ost==1   & female==1 & childless==0 & RR1!=. &  RR_55!=. & mean_jv1_3!=. 
		sum brutto_2009 mean_jv1_3 bruttolohn_55 netto_400 psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010 RR1 RR4 RR_55 RR_netto RR_life if ost==1   & female==1 & childless==1 & RR1!=. &  RR_55!=. & mean_jv1_3!=. 
				*T-Test
		foreach var of varlist brutto_2009 mean_jv1_3 bruttolohn_55 netto_400 psegpt90 bruttorente_monat rentenzahlbetrag nettoR_2010 RR1 RR4 RR_55 RR_netto RR_life {
		ttest `var' if ost==1   & female==1  & RR1!=. &  RR_55!=. & mean_jv1_3!=.  , by(childless) //
		}

*******************************************************************************************************************************************************************************************************************




 **Verteilung**
 
 *Ersatzrate nach Einkommensquintilen
	*a.) RR1
		 *aa.)Letztes Jahr vor Rentenbeginn letztes Bruttoeinkommen>400
		 xtile jv1_quintile=jv1 if jv1>4800, nquantiles(10) 
		 graph bar (mean) RR1, over(jv1_quintile) ytitle(Ersatzrate) title(Ersatzrate ber Einkommensdecile letztes Bruttogehalt)
				*aa.) Frauen
		 		 xtile jv1_quintile_f=jv1 if jv1>4800 & female==1, nquantiles(10) 
				 graph bar (mean) RR1, over(jv1_quintile_f) ytitle(Ersatzrate) title(Frauen: Ersatzrate ber Einkommensdecile letztes Bruttogehalt)
				*aa.) Mnner 
		 		xtile jv1_quintile_m=jv1 if jv1>4800 & female==0, nquantiles(10) 
				graph bar (mean) RR1, over(jv1_quintile_m) ytitle(Ersatzrate) title(Mnner: Ersatzrate ber Einkommensdecile letztes Bruttogehalt)
				*aa.) West
		 		 xtile jv1_quintile_w=jv1 if jv1>4800 & ost==0, nquantiles(10) 
				 graph bar (mean) RR1, over(jv1_quintile_w) ytitle(Ersatzrate) title(West: Ersatzrate ber Einkommensdecile letztes Bruttogehalt)
				*aa.) Ost
		 		xtile jv1_quintile_o=jv1 if jv1>4800 & ost==1, nquantiles(10) 
				graph bar (mean) RR1, over(jv1_quintile_o) ytitle(Ersatzrate) title(Ost: Ersatzrate ber Einkommensdecile letztes Bruttogehalt)
				
	 	 *ab.)Bruttorente letztes Bruttoeinkommen>400
		 xtile bruttorente_quintile=bruttorente if jv1>4800 , nquantiles(10) 
		 graph bar (mean) RR1, over(bruttorente_quintile) ytitle(Ersatzrate) title(Ersatzrate ber Bruttorentendecile)
		 		*ab.) Frauen 
				 xtile bruttorente_quintile_f=bruttorente if jv1>4800 & female==1, nquantiles(10) 
				 graph bar (mean) RR1, over(bruttorente_quintile_f) ytitle(Ersatzrate) title(Frauen: Ersatzrate ber Bruttorentendecile)
				*ab.) Mnner 
				 xtile bruttorente_quintile_m=bruttorente if jv1>4800 & female==0, nquantiles(10) 
				 graph bar (mean) RR1, over(bruttorente_quintile_m) ytitle(Ersatzrate) title(Mnner: Ersatzrate ber Bruttorentendecile)
				 *ab.) West
				 xtile bruttorente_quintile_w=bruttorente if jv1>4800 & ost==0, nquantiles(10) 
				 graph bar (mean) RR1, over(bruttorente_quintile_w) ytitle(Ersatzrate) title(West: Ersatzrate ber Bruttorentendecile)
				*ab.) Ost 
				 xtile bruttorente_quintile_o=bruttorente if jv1>4800 & ost==1, nquantiles(10) 
				 graph bar (mean) RR1, over(bruttorente_quintile_o) ytitle(Ersatzrate) title(Ost: Ersatzrate ber Bruttorentendecile)
		 
	 *b.)Durchschnitt der letzten drei Jahre vor Rentenbeginn !!!zu Klren:Schnitt>400 oder jedes Einzeljahr >400??
	 gen jv_schnitt=(jv1+jv2+jv3)/3
	 xtile jv_schnitt_quintile=jv_schnitt if jv1>4800 & jv2>4800 & jv3>4800, nquantiles(10) 
	 graph bar (mean) RR4, over(jv_schnitt_quintile) ytitle(Ersatzrate) title(Ersatzrate ber Einkommensdecile Schnitt Brutto letzten 3 Jahre)
	 		 	*b.) Frauen 
				 xtile jv_schnitt_quintile_f=jv_schnitt if jv_schnitt>4800 & female==1, nquantiles(10) 
				 graph bar (mean) RR4, over(jv_schnitt_quintile_f) ytitle(Ersatzrate) title(Frauen: Ersatzrate ber Einkommensdecile Schnitt Brutto letzten 3 Jahre)
				*b.) Mnner 
				 xtile jv_schnitt_quintile_m=jv_schnitt if jv_schnitt>4800 & female==0, nquantiles(10) 
				 graph bar (mean) RR4, over(jv_schnitt_quintile_m) ytitle(Ersatzrate) title(Mnner: Ersatzrate ber Einkommensdecile Schnitt Brutto letzten 3 Jahre)
	 	 		 *b.) West
				 xtile jv_schnitt_quintile_w=jv_schnitt if jv_schnitt>4800 & ost==0, nquantiles(10) 
				 graph bar (mean) RR4, over(jv_schnitt_quintile_w) ytitle(Ersatzrate) title(West: Ersatzrate ber Einkommensdecile Schnitt Brutto letzten 3 Jahre)
				*b.) Ost
				 xtile jv_schnitt_quintile_o=jv_schnitt if jv_schnitt>4800 & ost==1, nquantiles(10) 
				 graph bar (mean) RR4, over(jv_schnitt_quintile_o) ytitle(Ersatzrate) title(Ost: Ersatzrate ber Einkommensdecile Schnitt Brutto letzten 3 Jahre)
				 
	 *c.)Lebenseinkommen
	 xtile jv_leben=avg_lebensek if avg_lebensek!=0, nquantiles(10) 
	 graph bar (mean) RR_life, over(jv_leben) ytitle(Ersatzrate) title(Ersatzrate ber Einkommensdecile Lebenseinkommen)
	 	 		*c.) Frauen 
				 xtile jv_leben_f=avg_lebensek if avg_lebensek!=0 & female==1 , nquantiles(10) 
				 graph bar (mean) RR_life, over(jv_leben_f) ytitle(Ersatzrate) title(Frauen: Ersatzrate ber Einkommensdecile Lebenseinkommen)
				*c.) Mnner 
				 xtile jv_leben_m=avg_lebensek if avg_lebensek!=0 & female==0 , nquantiles(10) 
				 graph bar (mean) RR_life, over(jv_leben_m) ytitle(Ersatzrate) title(Mnner: Ersatzrate ber Einkommensdecile Lebenseinkommen)
	 	 	 	*c.) West
				 xtile jv_leben_w=avg_lebensek if avg_lebensek!=0 & ost==0 , nquantiles(10) 
				 graph bar (mean) RR_life, over(jv_leben_w) ytitle(Ersatzrate) title(West: Ersatzrate ber Einkommensdecile Lebenseinkommen)
				*c.) Ost
				 xtile jv_leben_o=avg_lebensek if avg_lebensek!=0 & ost==1 , nquantiles(10) 
				 graph bar (mean) RR_life, over(jv_leben_o) ytitle(Ersatzrate) title(Ost: Ersatzrate ber Einkommensdecile Lebenseinkommen)
	 	 
	 *d.)Nettoeinkommen
	 xtile jv_netto=netto_2010 if netto_2010>400, nquantiles(10) 
	 graph bar (mean) RR_netto, over(jv_netto) ytitle(Ersatzrate) title(Ersatzrate ber Einkommensdecile letztes Nettoeinkommen)
	 	 	 	*d.) Frauen 
				 xtile jv_netto_f=netto_2010 if netto_2010>400 & female==1, nquantiles(10) 
				 graph bar (mean) RR_netto, over(jv_netto_f) ytitle(Ersatzrate) title(Frauen: Ersatzrate ber Einkommensdecile letztes Nettoeinkommen)
				*d.) Mnner 
				 xtile jv_netto_m=netto_2010 if netto_2010>400 & female==0, nquantiles(10) 
				 graph bar (mean) RR_netto, over(jv_netto_m) ytitle(Ersatzrate) title(Mnner: Ersatzrate ber Einkommensdecile letztes Nettoeinkommen)
				 *d.) West
				 xtile jv_netto_w=netto_2010 if netto_2010>400 & ost==0, nquantiles(10) 
				 graph bar (mean) RR_netto, over(jv_netto_w) ytitle(Ersatzrate) title(West: Ersatzrate ber Einkommensdecile letztes Nettoeinkommen)
				*d.) Ost 
				 xtile jv_netto_o=netto_2010 if netto_2010>400 & ost==1, nquantiles(10) 
				 graph bar (mean) RR_netto, over(jv_netto_o) ytitle(Ersatzrate) title(Ost: Ersatzrate ber Einkommensdecile letztes Nettoeinkommen)
	 
	 
	 
	 
 *Verteilung der Zugangsrentner nach Ersatzratenklassen -->Verteilung hngt sehr stark von der betrachteten Ersatzrate ab
	
	cap drop RR1_class
	gen RR1_class=.
	replace RR1_class=1 if RR1<0.2
	replace RR1_class=2 if RR1>=0.2 & RR1<0.4
	replace RR1_class=3 if RR1>=0.4 & RR1<0.6
	replace RR1_class=4 if RR1>=0.6 & RR1<0.8
	replace RR1_class=5 if RR1>=0.8 & RR1!=.
	hist RR1_class		
	
	cap drop RR4_class
	gen RR4_class=.
	replace RR4_class=1 if RR4<0.2
	replace RR4_class=2 if RR4>=0.2 & RR4<0.4
	replace RR4_class=3 if RR4>=0.4 & RR4<0.6
	replace RR4_class=4 if RR4>=0.6 & RR4<0.8
	replace RR4_class=5 if RR4>=0.8 & RR4!=.
	hist RR4_class		
	hist RR4_class	if female==1
	hist RR4_class	if female==0
		
	cap drop RR_55_class
	gen RR_55_class=.
	replace RR_55_class=1 if RR_55<0.2
	replace RR_55_class=2 if RR_55>=0.2 & RR_55<0.4
	replace RR_55_class=3 if RR_55>=0.4 & RR_55<0.6
	replace RR_55_class=4 if RR_55>=0.6 & RR_55<0.8
	replace RR_55_class=5 if RR_55>=0.8 & RR_55!=.
	hist RR_55_class		
	
	cap drop RR_life_class
	gen RR_life_class=.
	replace RR_life_class=1 if RR_life<0.2
	replace RR_life_class=2 if RR_life>=0.2 & RR_life<0.4
	replace RR_life_class=3 if RR_life>=0.4 & RR_life<0.6
	replace RR_life_class=4 if RR_life>=0.6 & RR_life<0.8
	replace RR_life_class=5 if RR_life>=0.8 & RR_life!=.
	hist RR_life_class		
	hist RR_life_class	if female==1
	hist RR_life_class	if female==0	
 



*replace gruppe=3 if moab==0 & mozu==0 & (vsbhja1>0 | vsbhja2>0 | vsbhja3>0)
*Alternative 1
*gen help=0
*replace help =vsbhja1+ vsbhja2+ vsbhja3
*replace gruppe=3 if moab==0 & mozu==0 & (help>0)
*Neue Gruppe 3: Rentner ohne Abschlge, die mindestens noch drei Jahre vor Renteneintritt sozialversicherungspflichtig beschftigt waren
*replace gruppe=3 if moab==0 & mozu==0 & (rtztmo/12)>=35 //rtztmo Rentenrechliche Zeiten, Summengre und nicht bezogen auf die letzten drei Jahre ??


***Auswertung fr die zwei Gruppen

***Netto

	*Alle
	graph bar (mean) netto_2010 if netto_2010>400, over(gruppe) blabel(bar) ytitle(Nettogehalt in 2010) 
	graph bar (mean) nettoR_2010  , over(gruppe) blabel(bar) ytitle(Nettorente in 2010) 
	graph bar (mean) RR_netto , over(gruppe) blabel(bar) ytitle(Nettoersatzrate) title(Nettoersatzrate nach Gruppen)
	*Frauen
	graph bar (mean) netto_2010 if female==1  & netto_2010>400, over(gruppe) blabel(bar) ytitle(Nettogehalt in 2010) 
	graph bar (mean) nettoR_2010 if female==1 , over(gruppe) blabel(bar) ytitle(Nettorente in 2010) 
	graph bar (mean) RR_netto if female==1, over(gruppe) blabel(bar) ytitle(Nettoersatzrate) title(Nettoersatzrate nach Gruppen)
	*Mnner
	graph bar (mean) netto_2010  if female==0  & netto_2010>400 , over(gruppe) blabel(bar) ytitle(Nettogehalt in 2010) 
	graph bar (mean) nettoR_2010 if female==0, over(gruppe) blabel(bar) ytitle(Nettorente in 2010) 
	graph bar (mean) RR_netto if female==0, over(gruppe) blabel(bar) ytitle(Nettoersatzrate) title(Nettoersatzrate nach Gruppen)
	*West
	graph bar (mean) netto_2010 if ost==0  & netto_2010>400 , over(gruppe) blabel(bar) ytitle(Nettogehalt in 2010) 
	graph bar (mean) nettoR_2010 if ost==0, over(gruppe) blabel(bar) ytitle(Nettorente in 2010) 
	graph bar (mean) RR_netto if ost==0, over(gruppe) blabel(bar) ytitle(Nettoersatzrate) title(Nettoersatzrate nach Gruppen)
	*Ost
	graph bar (mean) netto_2010 if ost==1  & netto_2010>400 , over(gruppe) blabel(bar) ytitle(Nettogehalt in 2010) 
	graph bar (mean) nettoR_2010 if ost==1, over(gruppe) blabel(bar) ytitle(Nettorente in 2010) 
	graph bar (mean) RR_netto if ost==1, over(gruppe) blabel(bar) ytitle(Nettoersatzrate) title(Nettoersatzrate nach Gruppen)
	
	

	
	
	
	
	
	
	
	
	

***1.: Alter bei Rentenzuang


sum ztptrtbej if gruppe==1
replace alter_zugang=r(mean) if gruppe==1
sum ztptrtbej if gruppe==2
replace alter_zugang=r(mean) if gruppe==2
sum ztptrtbej if gruppe==3
replace alter_zugang=r(mean) if gruppe==3
sum ztptrtbej if gruppe==4
replace alter_zugang=r(mean) if gruppe==4

bysort gruppe:sum ztptrtbej
graph bar (mean) alter_zugang, over(gruppe) blabel(bar) ytitle(Durchschnittsalter) title(Alter bei Rentenzugang)

***2.: Geschlechtzusammensetzung

gen geschlecht=.
sum female if gruppe==1
replace geschlecht=r(mean) if gruppe==1
sum female if gruppe==2
replace geschlecht=r(mean) if gruppe==2
sum female if gruppe==3
replace geschlecht=r(mean) if gruppe==3

bysort gruppe:sum female
graph bar (mean) geschlecht, over(gruppe ) blabel(bar) ytitle(Anteil Frauen) title(Geschlechtszusammensetzung)

***Einkommen im Jahr vor Rentenzugang

gen ek=.
sum jv1 if gruppe==1
replace ek=r(mean) if gruppe==1
sum jv1 if gruppe==2
replace ek=r(mean) if gruppe==2
sum jv1 if gruppe==3
replace ek=r(mean) if gruppe==3

bysort gruppe:sum jv1
graph bar (mean) ek, over(gruppe) blabel(bar) ytitle(durchschn. Einkommen im Vorjahr) title(Einkommen im Jahr vor Rentenzugang)

***Summe der Entgeltpunkte (Summe)
gen ept=.
sum suegpt90 if gruppe==1
replace ept=r(mean) if gruppe==1
sum suegpt90 if gruppe==2
replace ept=r(mean) if gruppe==2
sum suegpt90 if gruppe==3
replace ept=r(mean) if gruppe==3

bysort gruppe:sum suegpt90
graph bar (mean) suegpt90, over(gruppe) blabel(bar) ytitle(Anzahl Entgeltpunkte) title(Entgeltpunkte)

***Summe der Entgeltpunkte (Persnliche mit Zugangfaktoren usw...)
gen ept2=.
sum psegpt90 if gruppe==1
replace ept2=r(mean) if gruppe==1
sum psegpt90 if gruppe==2
replace ept2=r(mean) if gruppe==2
sum psegpt90 if gruppe==3
replace ept2=r(mean) if gruppe==3

bysort gruppe:sum psegpt90
graph bar (mean) ept2, over(gruppe) blabel(bar) ytitle(Anzahl Entgeltpunkte) title(Entgeltpunkte)


***Hhe der Ersatzrate, Bruttolohn vor Rentenbeginn

	*a.) mean
	gen ersatz=.
	sum RR1 if gruppe==1 & RR1>0 & RR1<5
	replace ersatz=r(mean) if gruppe==1
	sum RR1 if gruppe==2 & RR1>0 & RR1<5
	replace ersatz=r(mean) if gruppe==2
	sum RR1 if gruppe==3 & RR1>0 & RR1<5
	replace ersatz=r(mean) if gruppe==3
	
	bysort gruppe:sum ersatz
	graph bar (mean) ersatz, over(gruppe) blabel(bar) ytitle(durchschn. Ersatzrate) title(Ersatzrate (Bruttorente/letztes Bruttoeinkommen))

	*b.) median
	cap drop ersatz2
	gen ersatz2=.
	summarize RR1 if gruppe==1 ,d
	replace ersatz2=r(p50) if gruppe==1
	summarize RR1 if gruppe==2  ,d
	replace ersatz2= r(p50) if gruppe==2
	summarize RR1 if gruppe==3  ,d
	replace ersatz2= r(p50) if gruppe==3
	
	bysort gruppe:sum RR1,d
	graph bar  (p50) ersatz2, over(gruppe) blabel(bar) ytitle(durchschn. Ersatzrate) title(Median Ersatzrate (Bruttorente/letztes Bruttoeinkommen))

	
***Hhe der Ersatzrate, Bruttolohn mit 55
gen ersatz3=.
summarize RR_55 if gruppe==1 ,d
replace ersatz3=r(p50) if gruppe==1
summarize RR_55 if gruppe==2  ,d
replace ersatz3= r(p50) if gruppe==2
summarize RR_55 if gruppe==3  ,d
replace ersatz3= r(p50) if gruppe==3

bysort gruppe:sum RR_55,d
graph bar  (p50) ersatz3, over(gruppe) blabel(bar) ytitle(durchschn. Ersatzrate) title(Median Ersatzrate (Bruttorente/Bruttoeinkommen mit 55))



	
***Anzahl der Beitragsjahre

gen beitrag=(az90+byvl90+bygm90)/12


sum beitrag if gruppe==1
replace beitragsjahre=r(mean) if gruppe==1
sum beitrag if gruppe==2
replace beitragsjahre=r(mean) if gruppe==2
sum beitrag if gruppe==3
replace beitragsjahre=r(mean) if gruppe==3

bysort gruppe:sum beitrag
graph bar (mean) beitragsjahre, over(gruppe) blabel(bar) ytitle(durchschn. Beitragsjahre) title(Beitragsdauer)


***Anzahl der Versicherungsjahre
gen vers_jahre=rtztmo/12
gen vers=.
sum vers_jahre if gruppe==1
replace vers=r(mean) if gruppe==1
sum vers_jahre if gruppe==2
replace vers=r(mean) if gruppe==2
sum vers_jahre if gruppe==3
replace vers=r(mean) if gruppe==3

bysort gruppe:sum vers_jahre
graph bar (mean) vers, over(gruppe) blabel(bar) ytitle(durchschn. Versicherungsjahre) title(Versicherungsdauer)

***wie viele Monate gehen die mit Rentenzuschlgen im Durchschnitt spter in Rente
sum mozu if gruppe==3
*graph bar (mean) mozu if gruppe==3, over(gruppe) blabel(bar) ytitle(durchschnittliche Anzahl an zustzlich gearbeiteten Monaten) title(Anzahl der Monate mit Zuschlgen)

***wie viele Monate gehen die mit Rentenabschlgen im Durchschnitt frher in Rente
sum moab if gruppe==1
graph bar (mean) moab if gruppe==1 , over(gruppe) blabel(bar) ytitle(durchschnittliche Anzahl an weniger gearbeiteten Monaten) title(Anzahl der Monate mit Abschlgen)
graph bar (mean) moab if gruppe==1 & female==1, over(gruppe) blabel(bar) ytitle(durchschnittliche Anzahl an weniger gearbeiteten Monaten) title(Frauen: Anzahl der Monate mit Abschlgen)
graph bar (mean) moab if gruppe==1 & female==0, over(gruppe) blabel(bar) ytitle(durchschnittliche Anzahl an weniger gearbeiteten Monaten) title(Mnner: Anzahl der Monate mit Abschlgen)

***Bruttorente
gen brutto=.
sum bruttorente if gruppe==1
replace brutto=r(mean) if gruppe==1
sum bruttorente if gruppe==2
replace brutto=r(mean) if gruppe==2
sum bruttorente if gruppe==3
replace brutto=r(mean) if gruppe==3

bysort gruppe:sum bruttorente
graph bar (mean) brutto, over(gruppe) blabel(bar) ytitle(Bruttorente in Euro) title(Bruttorente zum Rentenbeginn)

***durchschnittlich pro Jahr erzielte Entgeltpunkte
gen d_ept=.
sum average_ep if gruppe==1
replace d_ept=r(mean) if gruppe==1
sum average_ep if gruppe==2
replace d_ept=r(mean) if gruppe==2
sum average_ep if gruppe==3
replace d_ept=r(mean) if gruppe==3

bysort gruppe:sum average_ep
graph bar (mean) d_ept, over(gruppe) blabel(bar) ytitle(EP) title(durchschn. EP pro Jahr)


***Wie wie lange kank insgesamt?


gen dauer_krank=.
sum auaz90 if gruppe==1
replace dauer_krank=r(mean) if gruppe==1
sum auaz90 if gruppe==2
replace dauer_krank=r(mean) if gruppe==2
sum auaz90 if gruppe==3
replace dauer_krank=r(mean) if gruppe==3

bysort gruppe:sum auaz90
graph bar (mean) dauer_krank, over(gruppe) blabel(bar) ytitle(Anteil beschftigt) title(Anteil versicherungspflichtig Beschftigte)



***
*Krank vor Renteneintritt?

merge 1:1 case using "C:\Users\kluth\Daten FDZ-GRV\VVL 2010\SUF_VVL2010 (Stata)\Daten\Verlaufsmerkmale\krank.dta"
keep if _merge==3
drop _merge



*******************************************
**********Deskriptive Tabellen*************
*******************************************

sum female gbja alter_zugang whort anteilost ost ost2 psegpt90 bruttorente_monat nettoR_2010 jv1 jv2 jv3 az90 byvl90 bygm90 average_ep avg_lebensek rtztmo pflichtig pflichtig2




*******************************************
*****Verlauf der EP ber Lebenszyklus******
*******************************************


*************************************************************************************
****ENTGELTPUNKTE bezogen auf sozialversicherungspflichtig erwerbsttig MEGPT *******
*************************************************************************************

*West
	replace megpt_1=0 if megpt_1==.
	sum megpt_1 if ost==0
	gen west3_ep_sum1=r(mean) if ost==0

	forvalues d =2/624 {
	local h=`d'-1
	replace megpt_`d'=0 if megpt_`d'==.
	sum megpt_`d' if ost==0
	gen west3_ep_sum`d'=west3_ep_sum`h'+r(mean) if ost==0
	cap drop h
	}
	*	
	
		*West Mnner
		sum megpt_1 if ost==0 & female==0
		gen mwest3_ep_sum1=r(mean) if ost==0 & female==0

		forvalues d =2/624 {
		local h=`d'-1
		sum megpt_`d' if ost==0 & female==0
		gen mwest3_ep_sum`d'=mwest3_ep_sum`h'+r(mean) if ost==0 & female==0
		cap drop h
		}
		*	

		*West Frauen
		sum megpt_1 if ost==0 & female==1
		gen fwest3_ep_sum1=r(mean) if ost==0 & female==1

		forvalues d =2/624 {
		local h=`d'-1
		sum megpt_`d' if ost==0 & female==1
		gen fwest3_ep_sum`d'=fwest3_ep_sum`h'+r(mean) if ost==0 & female==1
		cap drop h
		}
		*	
		
*Ost
	sum megpt_1 if ost==1
	gen ost3_ep_sum1=r(mean) if ost==1

	forvalues d =2/624 {
	local h=`d'-1
	sum megpt_`d' if ost==1
	gen ost3_ep_sum`d'=ost3_ep_sum`h'+r(mean) if ost==1
	cap drop h
	}
	*	
		*Ost Mnner
		sum megpt_1 if ost==1 & female==0
		gen most3_ep_sum1=r(mean) if ost==1 & female==0

		forvalues d =2/624 {
		local h=`d'-1
		sum megpt_`d' if ost==1 & female==0
		gen most3_ep_sum`d'=most3_ep_sum`h'+r(mean) if ost==1 & female==0
		cap drop h
		}
		*

		*Ost Frauen
		sum megpt_1 if ost==1 & female==1
		gen fost3_ep_sum1=r(mean) if ost==1 & female==1

		forvalues d =2/624 {
		local h=`d'-1
		sum megpt_`d' if ost==1 & female==1
		gen fost3_ep_sum`d'=fost3_ep_sum`h'+r(mean) if ost==1 & female==1
		cap drop h
		}
		*	
		
		
*
		
************Regressions Chapter 4***********

*(1) LRR

tab birthyear, gen(birthyear_d)
gen avg_lebensek_1000_sq= avg_lebensek_1000*avg_lebensek_1000
gen avg_lebensek_1000_inv= 1/avg_lebensek_1000
gen beitragsjahre_sq= beitragsjahre *beitragsjahre 

*In Paper September 2014
	*West
	reg RR_life  female ep_kinder ep_mindest abschlag married regelaltersrentner_keine35 rente_arbeitslos rente_frauen rente_schwerbehindert rente_langj if ost==0
		est sto basic
	reg RR_life  female ep_kinder ep_mindest abschlag married  regelaltersrentner_keine35 rente_arbeitslos rente_frauen rente_schwerbehindert rente_langj avg_lebensek_1000  if ost==0
		est sto einkommen
	reg RR_life  female ep_kinder ep_mindest abschlag married  regelaltersrentner_keine35 rente_arbeitslos rente_frauen rente_schwerbehindert rente_langj avg_lebensek_1000  beitragsjahre  if ost==0
		est sto ek_dauer
		
		esttab basic einkommen ek_dauer  ,b(%4.3f) se(%12.3f) star(* 0.1 ** 0.05 *** 0.01)  title(Frauen&Mnner West)	

	*Ost
	reg RR_life female ep_kinder ep_mindest abschlag married regelaltersrentner_keine35 rente_arbeitslos rente_frauen rente_schwerbehindert rente_langj if ost==1
		est sto basic
	reg RR_life female ep_kinder ep_mindest abschlag married regelaltersrentner_keine35 rente_arbeitslos rente_frauen rente_schwerbehindert rente_langj avg_lebensek_1000 if ost==1
		est sto einkommen
	reg RR_life female ep_kinder ep_mindest abschlag married regelaltersrentner_keine35 rente_arbeitslos rente_frauen rente_schwerbehindert rente_langj avg_lebensek_1000 beitragsjahre if ost==1 
		est sto ek_dauer

		est sto Frauen_kinder3
		esttab basic einkommen ek_dauer  ,b(%4.3f) se(%12.3f) star(* 0.1 ** 0.05 *** 0.01)  title(Frauen&Mnner Ost)
		
			*Robustness Check online-Appendix A1 : Probit whether the gross RR can be calculated 
			gen dummy_RR1=1 if RR1!=.
			replace dummy_RR1=0 if RR1==.
			sum female ep_kinder ep_mindest abschlag married regelaltersrentner_35 regelaltersrentner_keine35 rente_arbeitslos rente_frauen rente_schwerbehindert rente_langj  avg_lebensek_1000 beitragsjahre if dummy_RR1==1
			*T-Test auf signifikante Unterschiede zwischen beiden Gruppen
			foreach var in female ep_kinder ep_mindest abschlag married regelaltersrentner_35 regelaltersrentner_keine35 rente_arbeitslos rente_frauen rente_schwerbehindert rente_langj  avg_lebensek_1000 beitragsjahre {		
			ttest `var', by(dummy_RR1)
			}
			
			*West
		
			probit dummy_RR1 female ep_kinder ep_mindest abschlag married regelaltersrentner_keine35 rente_arbeitslos rente_frauen rente_schwerbehindert rente_langj  avg_lebensek_1000 beitragsjahre if ost==0
			est sto ek_dauer
			mfx
			esttab basic einkommen ek_dauer  ,b(%4.3f) se(%12.3f) star(* 0.1 ** 0.05 *** 0.01)  title(Frauen&Mnner West)	
			
			*Ost

			probit dummy_RR1 female ep_kinder ep_mindest abschlag married regelaltersrentner_keine35 rente_arbeitslos rente_frauen rente_schwerbehindert rente_langj  avg_lebensek_1000 beitragsjahre if ost==1
			est sto ek_dauer
			mfx
			esttab basic einkommen ek_dauer  ,b(%4.3f) se(%12.3f) star(* 0.1 ** 0.05 *** 0.01)  title(Frauen&Mnner West)	


		
	
